Type to search.

Create a Cohere inference endpoint

Auth

Create an inference endpoint to perform an inference task with the cohere service.

Required privileges

Cluster privileges manage_inference

Path parameters

task_type enum required

The type of the inference task that the model will perform.

Values: completion rerank text_embedding
cohere_inference_id string required

The unique identifier of the inference endpoint.

Query parameters

timeout union oneOf · default: 30s

Specifies the amount of time to wait for the inference endpoint to be created.

Values: -1 0

Request body

service enum required

The type of service supported for the specified task type. In this case, cohere.

Values: cohere
service_settings object required

Settings used to install the inference model. These settings are specific to the cohere service.

api_key string required

A valid API key for your Cohere account. You can find or create your Cohere API keys on the Cohere API key settings page.

Important

You need to provide the API key only once, during the inference model creation. The get inference endpoint API does not retrieve your API key.

embedding_type enum · default: float

For a text_embedding task, the types of embeddings you want to get back. Use binary for binary embeddings, which are encoded as bytes with signed int8 precision. Use bit for binary embeddings, which are encoded as bytes with signed int8 precision (this is a synonym of binary). Use byte for signed int8 embeddings (this is a synonym of int8). Use float for the default float embeddings. Use int8 for signed int8 embeddings.

Values: binary bit byte float int8
model_id string required

For a completion, rerank, or text_embedding task, the name of the model to use for the inference task.

similarity enum

The similarity measure. If the embedding_type is float, the default value is dot_product. If the embedding_type is int8 or byte, the default value is cosine.

Values: cosine dot_product l2_norm

Response

application/json
service string required

The service type

service_settings object required

Settings specific to the service

task_settings object

Task settings specific to the service and task type

inference_id string required

The inference Id

task_type enum required

The task type

Values: text_embedding rerank completion